Package com.smartgwt.linker

# Class SmartGwtDomainSyncLinker

java.lang.Object
com.google.gwt.core.ext.Linker
com.google.gwt.core.ext.linker.AbstractLinker
com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
com.google.gwt.core.linker.IFrameLinker
com.smartgwt.linker.SmartGwtDomainSyncLinker

public class SmartGwtDomainSyncLinker extends IFrameLinker
Linker that inject domain sync Javascript to bypass same-origin policy restrictions on scripts deployed on different subdomains under the same parent domain (eg. a portal environment)

- ## Field Summary

  ### Fields inherited from class com.google.gwt.core.ext.linker.impl.SelectionScriptLinker

  `COMPUTE_SCRIPT_BASE_JS, FRAGMENT_EXTENSION, FRAGMENT_SUBDIR, permutationsUtil, PROCESS_METAS_JS, USE_SOURCE_MAPS_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartGwtDomainSyncLinker()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `protected String`
  `getModulePrefix(TreeLogger logger, LinkerContext context, String strongName)`
  `protected String`
  `getModulePrefix(TreeLogger logger, LinkerContext context, String strongName, int numFragments)`

  ### Methods inherited from class com.google.gwt.core.linker.IFrameLinker

  `getCompilationExtension, getHostedFilename, getModuleSuffix2, getScriptChunkSeparator, getSelectionScriptTemplate, link, modifyPrimaryJavaScript`

  ### Methods inherited from class com.google.gwt.core.ext.linker.impl.SelectionScriptLinker

  `charsPerChunk, doEmitCompilation, emitSelectionInformation, emitSelectionScript, fillSelectionScriptTemplate, generateDeferredFragment, generatePrimaryFragment, generatePrimaryFragmentString, generateSelectionScript, generateSelectionScript, getDeferredFragmentPrefix, getDeferredFragmentSuffix2, getFragmentSubdir, link, maybeAddHostedModeFile, maybeOutputPropertyMap, readFileToStringBuffer, replaceAll, splitPrimaryJavaScript, supportsDevModeInJunit, wrapDeferredFragment, wrapPrimaryFragment`

  ### Methods inherited from class com.google.gwt.core.ext.linker.AbstractLinker

  `emitBytes, emitBytes, emitInputStream, emitInputStream, emitString, emitString, emitWithStrongName, emitWithStrongName`

  ### Methods inherited from class com.google.gwt.core.ext.Linker

  `isShardable, relink`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SmartGwtDomainSyncLinker

    public SmartGwtDomainSyncLinker()

- ## Method Details

  - ### getDescription

    public String getDescription()
    Overrides:
      `getDescription` in class `IFrameLinker`

  - ### getModulePrefix

    protected String getModulePrefix(TreeLogger logger, LinkerContext context, String strongName) throws UnableToCompleteException
    Overrides:
      `getModulePrefix` in class `IFrameLinker`
    Throws:
      `UnableToCompleteException`

  - ### getModulePrefix

    protected String getModulePrefix(TreeLogger logger, LinkerContext context, String strongName, int numFragments) throws UnableToCompleteException
    Overrides:
      `getModulePrefix` in class `IFrameLinker`
    Throws:
      `UnableToCompleteException`